Page MenuHomePhabricator

Wiki meets iNaturalist in Prague
Closed, ResolvedPublic

Description

iNaturalist is a citizen science project focused on biodiversity. It has a large community of enthusiasts, of which some are also active in the various Wikimedia communities. The Wikiproject iNaturalist aims at improving the cross-pollination between iNaturalist and Wikimedia communities. Wikimedia Commons is an ideal platform to source iNaturalist with observations while iNaturalist with its high-grade annotations of observations provides valuable references to Wikidata statements. "Research grade" observations are incorporated into other online databases such as Global Biodiversity Information Facility. iNaturalist supports many Wikimedia-compatible licensing options, including CC0), Creative Commons Attribution and Creative Commons Attribution-ShareAlike. Wikipedia articles are also used on iNaturalist to describe individual taxa.

I would like to propose to explore how the two platforms can benefit from each other. This would be split around an outdoor and in indoor session. For the outdoor session, you are invited to bring along your smartphone and/or camera where would go observe the wildlife surrounding the venue.

The second (indoor) session will be used to process the possibly annotated observations in Wikidata, Commons and Wikipedia. For both session it is beneficial to have an account on iNaturalist and possibly the app installed on your tablet or phone.

Event Timeline

Andrawaag created this task.May 1 2019, 7:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 1 2019, 7:13 PM
SBisson added a subscriber: SBisson.May 1 2019, 7:23 PM
kaldari added a subscriber: kaldari.May 1 2019, 7:24 PM

FYI, I'm planning on working on a iNaturalist importing tool for Commons during the hackathon. If anyone else wants to help, let me know.

Yes, count me in. Would the other way around work as well? i.e. annotating commons picture from iNaturalist?

FYI, I'm planning on working on a iNaturalist importing tool for Commons during the hackathon. If anyone else wants to help, let me know.

Are you still coordinating with Maarten on that per the discussion at the village pump?

Salgo60 added a subscriber: Salgo60.May 6 2019, 8:35 AM
kaldari added a comment.EditedMay 6 2019, 5:57 PM

@Nemo_bis - No, Maarten says he doesn't work on pull tools, only push, and for iNaturalist it seems like pull is a better fit (since we don't really want to import everything from iNat). I've started working on a gadget for this, which you can see at https://commons.wikimedia.org/wiki/User:Kaldari/inat2commons.js. The idea is that if you're on a Commons category page for a taxon, there will be an "Import from iNaturalist" button, which will let you choose freely licensed iNat images of that taxon (based on the mapping in Wikidata) to import into the category. One tricky part is that because Wikidata only supports 1-to-1 sitelinks for Commons, half the taxon categories on Commons have a Q ID, but the ones that also have a Gallery page don't have a Q ID (since it's associated with the Gallery page instead). There are a few different ways we could work around this, but it does introduce some complexity to the task.

@kaldari Do you have phab ticket on your gadget? If so may I add it as a subtask to this phab ticket, so we can cluster iNaturalist activities?

Ciell added a subscriber: Ciell.May 10 2019, 10:24 AM

The 1st session is now scheduled at 11 on Friday. This was more a suggestion Suggestion/preference for other starting times?

First event is postponed until after lunch

Sadly, my flight was cancelled and I wasn't able to find another flight in time so I won't be making it to the Hackathon. Good luck to everyone else!

Theklan removed a subscriber: Theklan.May 17 2019, 3:09 PM

Did this happen? How did it go? :)

Andrawaag added a comment.EditedMay 18 2019, 11:48 AM

The second session today at 14:00 on the 4th floor in the 1st team room room

Andrawaag added a comment.EditedMay 18 2019, 1:48 PM

sparql query for wikipedia articles without image: w.wiki/46Y

Jdlrobson added a comment.EditedMay 19 2019, 12:58 PM

I made a fun little and practical app and have used it to fix 2 articles:
https://wikilovesinat.netlify.com
Code: https://github.com/jdlrobson/WikiLovesINat

New improvements we could work outside on hackathon:

  1. @Multichill says there's a way to have one click statement addition. If someone can point me to some documentation, I can add that too!
  2. Allow filtering by subclass e.g. amphibians etc
  3. Some styling
Andrawaag closed this task as Resolved.May 19 2019, 4:43 PM
Andrawaag claimed this task.
Andrawaag added subscribers: Tombakerii, Jelabra.
This comment was removed by Andrawaag.